/**
 * Просто DIV с заголовком. Использовался для отладки классов. Имеет следующую структуру HTML:
 * <div>
 *   <h1>[заголовок, переданный в констрктор]</h1>
 *   <div>[дочерние элементы]</div>
 * </div>
 *
 * @extends Container_Element_Abstract
 */
function MyDiv(header)
{
    MyDiv.superclass.constructor.call(this);
    
    var oMainDiv = Rup.create('div');
    var oHeader = Rup.create('h1');
    oHeader.innerHTML = header;
    var oContainerDiv = Rup.create('div');
    
    oMainDiv.appendChild( oHeader );
    oMainDiv.appendChild( oContainerDiv );
   
    this._setContainerElement(oContainerDiv);
    this._setBaseElement(oMainDiv);
}

Rup.extend( MyDiv, Container_Element_Abstract );